package com.gingersoft.gsa.other_order_mode.data.model.bean

class ThirdItem : ArrayList<ThirdItem.ThirdItemItem>() {
    data class ThirdItemItem(val descr: String = "",
                             val dim: Dim = Dim(),
                             val name: String,
                             val ori: String = "",
                             val qty: Int,
                             val sku: String = "",
                             val stg: String = "Normal",
                             val typ: String = "",
                             val unt_price: UntPrice,
                             val wt: Wt = Wt()) {

        data class Dim(
                val hgt: Int = 1,
                val len: Int = 1,
                val unt: String = "cm", //尺寸單位
                val wid: Int = 1
        )

        data class UntPrice(
                val ccy: String = "HKD",//金額單位
                val `val`: Double
        )

        data class Wt(
                val unt: String = "kg", //重量單位
                val `val`: Int = 1
        )
    }
}